Bug 23627 - Koha::Biblio->get_coins too noisy if no 245$b
Summary: Koha::Biblio->get_coins too noisy if no 245$b
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 8995
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-16 20:21 UTC by Tomás Cohen Arazi
Modified: 2019-10-17 19:52 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.05


Attachments
Bug 23627: Reduce Koha::Biblio->get_coins noise if no 245 (931 bytes, patch)
2019-09-16 20:22 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23627: Reduce Koha::Biblio->get_coins noise if no 245 (981 bytes, patch)
2019-09-20 20:37 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23627: Reduce Koha::Biblio->get_coins noise if no 245 (1.06 KB, patch)
2019-09-27 05:52 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2019-09-16 20:21:10 UTC
To reproduce:
On a fresh devbox, perform an OPAC search for the term 'a'.
=> FAIL: You see in the logs the following for each record that doesn't have 245$b

Use of uninitialized value in concatenation (.) or string at /kohadevbox/koha/Koha/Biblio.pm line 562.
Comment 1 Tomás Cohen Arazi 2019-09-16 20:22:35 UTC
Created attachment 92848 [details] [review]
Bug 23627: Reduce Koha::Biblio->get_coins noise if no 245

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Katrin Fischer 2019-09-17 04:40:44 UTC
I've even seen the whole OPAC exploding in an error related to coins before I turned it off via syspref. Could it be related?
Comment 3 Tomás Cohen Arazi 2019-09-17 13:00:11 UTC
(In reply to Katrin Fischer from comment #2)
> I've even seen the whole OPAC exploding in an error related to coins before
> I turned it off via syspref. Could it be related?

I don't think so, but worth reproducing. I think it might be related to reports of records not being able to be decoded.
Comment 4 Maryse Simard 2019-09-20 20:37:51 UTC
Created attachment 93060 [details] [review]
Bug 23627: Reduce Koha::Biblio->get_coins noise if no 245

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 5 Marcel de Rooy 2019-09-27 05:52:45 UTC
Created attachment 93178 [details] [review]
Bug 23627: Reduce Koha::Biblio->get_coins noise if no 245

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Martin Renvoize 2019-09-27 12:59:43 UTC
Nice work!

Pushed to master for 19.11.00
Comment 7 Katrin Fischer 2019-09-30 13:13:45 UTC
(In reply to Tomás Cohen Arazi from comment #3)
> (In reply to Katrin Fischer from comment #2)
> > I've even seen the whole OPAC exploding in an error related to coins before
> > I turned it off via syspref. Could it be related?
> 
> I don't think so, but worth reproducing. I think it might be related to
> reports of records not being able to be decoded.

Can't reproduce it right now with the patch - I think it might have fixed it :)
Comment 8 Fridolin SOMERS 2019-10-08 06:52:50 UTC
Pushed to 19.05.x for 19.05.05
Comment 9 Lucas Gass 2019-10-17 19:52:02 UTC
missing dependency for 18.11.x, no backport